SIMPLEPROXY(1)

NAME
simpleproxy - Simple tcp socket proxy

SYNOPSIS
simpleproxy [-7] [-v] [-V] [-d] [-i] [-u] -P <POP3 users file> -L [<local host>:]<local port> -R <remote host>:<remote port> [-S <proxy host>:<proxy port>]

DESCRIPTION
The simpleproxy program acts as a simple tcp proxy. It opens listening socket on local machine and forwards any connection to the remote host.

OPTIONS

simpleproxy accepts following options:

-V  Version information.

-v  Makes simpleproxy to write activity information to syslog or stderr.

-7  Makes simpleproxy to strip 8th bit.

-i  Use this flag when starting simpleproxy from INETD.

-d  By default simpleproxy does not detach itself from control terminal and writes all messages to stderr. This option will detach it from terminal and make it write messages to syslog.

-L [<local host>:]<local port>
    Local host and port name or number to bind for listening. Host name is optional.

-R <remote host>:<remote port>
    Remote host and port name or number

-P <POP3 users list>
    If specified, simpleproxy will load list of users from the <filename> (one per line). After this it will be forwarding POP3 sessions only if client trying to authenificate as this user.

-S <proxy host>:<proxy port>
    HTTPS proxy server host and port name or number.

-a <HTTPS Auth User>:<HTTPS Auth Password>
    Authenticate to the HTTPS proxy server with the given userid and password. This option performs BASIC HTTP authentication as specified in RFC 2617. Used only in conjunction with -S.

-A <HTTP Auth User>:<HTTP Auth Password>
    Requires HTTP proxy authentication. Client browser must supply username and password to use this proxy. This option performs BASIC HTTP authentication as specified in RFC 2617.

-u  URLs of visited pages are emitted on stdout. It is used for logging or for remote lecturing, if the output is redirected to a remote command that change a dynamic web page, it is possible to synchronize all the learner web browsers to the same page visited by the instructor. (see the "simple remote lecturing" project on sourceforge).

-t <trace file>
    If specified, simpleproxy will dump all data that passes through connection to the specified file.

BUGS
Only tcp ports are supported.

SEE ALSO

inetd(1M), services(4), http://www.crocodile.org/software.html

AUTHOR

Vadim Zaliva <lord@crocodile.org>, Vladimir Karpinsky <vlad@noir.crocodile.org> Vadim Tymchenko <verylong@noir.crocodile.org> Renzo Davoli <renzo at cs dot unibo dot it>

CONTRIBUTORS

Pavel Roskin <pavel_roskin@geocities.com>, Cedric Tefft <cedric@earthling.net> Christophe Bothamy <cbothamy@sourceforge.net> Ulf Harnhammar <metaur@telia.com>